Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
libebook::EBOOKTokenizer Class Referenceabstract

`#include <EBOOKTokenizer.h>`

## Public Member Functions
int | getId (const char *name) const
int | getQualifiedId (const char *name, const char *ns) const

## Protected Member Functions
| ~EBOOKTokenizer ()

## Private Member Functions
virtual int | queryId (const char *name) const =0
| Try to get an ID for token `name`.

## Constructor & Destructor Documentation

## ◆ ~EBOOKTokenizer()

libebook::EBOOKTokenizer::~EBOOKTokenizer | ( |  | ) |
| protected

## Member Function Documentation

## ◆ getId()

int libebook::EBOOKTokenizer::getId | ( | const char * | name | ) | const

Referenced by getQualifiedId().

## ◆ getQualifiedId()

int libebook::EBOOKTokenizer::getQualifiedId | ( | const char * | name,
|  | const char * | ns
| ) |  | const

Referenced by libebook::EBOOKXMLParser::parse().

## ◆ queryId()

virtual int libebook::EBOOKTokenizer::queryId | ( | const char * | name | ) | const
| private pure virtual

Try to get an ID for token `name`.

- [in] name The token name. It is never empty or null.

Returns
  The ID of the token or 0.

Referenced by getId(), and getQualifiedId().

The documentation for this class was generated from the following files:

- EBOOKTokenizer.h
- EBOOKTokenizer.cpp